Bug 975397 - purge set to true by default in cache stores
purge set to true by default in cache stores
Status: ASSIGNED
Product: JBoss Data Grid 6
Classification: JBoss
Component: Server (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity low
: ---
: 6.2.0
Assigned To: Tristan Tarrant
nobody nobody
:
Depends On:
Blocks: 975081
  Show dependency treegraph
 
Reported: 2013-06-18 07:24 EDT by Michal Linhard
Modified: 2014-03-17 00:04 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Linhard 2013-06-18 07:24:34 EDT
the purge attribute

<store class="..." purge="false">
   <property name="..">...</property>
...
</store>

is set to true by default in JDG server.

I'm not sure whether this deliberate or a bug.

IMO this is quite dangerous default - causing the entries not to survive server restarts.
Comment 1 Tristan Tarrant 2013-06-19 09:02:08 EDT
purge="true" is the default for all cache stores, so I don't see why custom ones should be treated differently.
Whether purging should be true as a default is certainly questionable

Note You need to log in before you can comment on or make changes to this bug.